'''
This module unloads the give module names.
It can be used to ease development when writing code. If not used, AToM^3 needs to be restarted after any change in code.
Usage (in case of submodules, always use the full path as name_of_module, also in the import statement):

from unload.unload import *
unload_mods("name_of_module")

import name_of_module
# do something with this module

'''

def unload_mods(*modstrs):
    import sys
    for modstr in modstrs:
        if modstr in sys.modules:
            print "unloaded", modstr
            del(sys.modules[modstr])
        else:
            print modstr, "not unloaded"
